How to make android sdk 4.0.3 with android 4.0.4 source code?

I've downloaded the Android source code 4.0.4 and built the sdk 4.0.4 AOSP successfully. When I use my custom sdk, the eclipse told me that I have to set minSdkVersion="AOSP" in Manifest.xml, and the tragedy is, my device version is 4.0.3 and can't run apk on it.

What should I do?

I think there're may be two solutions:

1.Build a NONE AOSP SDK and run 4.0.4 sdk on 4.0.3 devices.

2.Check out the source code 4.0.3 and re-make the sdk. (which also may have the "AOSP" problem)

Thanks a lot!

Answers


Fixed in solution 1:

Modify: build/core/version_defaults.mk PLATFORM_VERSION_CODENAME to:

If this is a final release build, it is simply “REL”. PLATFORM_VERSION_CODENAME := REL

This mark the built sdk as a release version.


Need Your Help

MFC multithreading: AfxBeginThread vs Boost.Thread?

c++ multithreading mfc boost-thread

I have an MFC application to which I want to incorporate multi-threading. Originally I was thinking of using Boost.Thread because of the general ease of development with boost. However, I'm wonde...